Security Enhanced Linux Reference Policy

# Layer: admin

## Module: samhain

Interfaces Templates

### Description:

Check file integrity.

### Interfaces:

samhain_admin( domain , role )

##### Summary

All of the rules required to administrate the samhain environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

samhain_domtrans( domain )

##### Summary

Execute samhain in the samhain domain

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

samhain_manage_config_files( domain )

##### Summary

Create, read, write, and delete samhain configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samhain_manage_db_files( domain )

##### Summary

Create, read, write, and delete samhain database files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samhain_manage_init_script_files( domain )

##### Summary

Create, read, write, and delete samhain init script files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samhain_manage_log_files( domain )

##### Summary

Create, read, write, and delete samhain log and log.lock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samhain_manage_pid_files( domain )

##### Summary

Create, read, write, and delete samhain pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

samhain_run( domain , role )

##### Summary

Execute samhain in the samhain domain with the clearance security level and allow the specifiled role the samhain domain.

##### Description

Execute samhain in the samhain domain with the clearance security level and allow the specifiled role the samhain domain.

The range_transition rule used in this interface requires that the calling domain should have the clearance security level otherwise the MLS constraint for process transition would fail.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed to access.

Return

### Templates:

samhain_service_template( domain_prefix )

##### Summary

The template to define a samhain domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return